<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<div class="login-box" th:fragment="content">
    <div class="login-logo">
        <a href="javascript:void(0)"><b>TAP - </b><img th:src="@{/img/logo-small-tap.png}"/></a>
    </div>
    <div class="login-box-body">
        <p class="login-box-msg">[[#{message.info.login}]]</p>
        <form class="form-signin" th:action="@{/login}" method="POST">
            <div th:if="${okMessage}" class="alert alert-success alert-block fade in">
                <button data-dismiss="alert" class="close close-sm" type="button">
                    <i class="icon-remove"></i>
                </button>
                <p>[[${okMessage}]]</p>
            </div>
            <div th:if="${errorMessage}" class="alert alert-danger alert-block fade in">
                <button data-dismiss="alert" class="close close-sm" type="button">
                    <i class="icon-remove"></i>
                </button>
                <p>[[${errorMessage}]]</p>
            </div>
            <div class="form-group has-feedback">
                <input type="text" id="username" name="username" class="form-control" autofocus="autofocus" required="required" th:placeholder="#{placeholder.login.username}"/>
                <span class="glyphicon glyphicon-user form-control-feedback"></span>
            </div>
            <div class="form-group has-feedback">
                <input type="password" id="password" name="password" class="form-control" required="required" th:placeholder="#{placeholder.login.password}"/>
                <span class="glyphicon glyphicon-lock form-control-feedback"></span>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <button type="submit" class="btn btn-primary btn-block btn-flat">[[#{button.login}]]</button>
                </div>
            </div>
        </form>
    </div>
</div>
<div th:fragment="css" th:remove="tag"></div>
<div th:fragment="js" th:remove="tag">
    <script type="text/javascript" language="javascript" th:inline="javascript">
        localStorage.clear();
        $(document).ready(function(){
            $('form').validate({
                submitHandler: function(form) {
                    showLoading();
                    $('form')[0].submit();
                }
            });
            $(".alert").delay(3000).slideUp(200, function() {
                $(this).alert('close');
            });
        });
    </script>
</div>
</html>